std_templates = {
    "ALA": {
        "name": ["N", "CA", "C", "CB", "O"],
        "element": ["N", "C", "C", "C", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (4, 2),
        ],
    },
    "ARG": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD", "NE", "NH1", "NH2", "CZ"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "N", "N", "N", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 5),
            (6, 7),
            (7, 6),
            (7, 10),
            (8, 10),
            (9, 10),
            (10, 7),
            (10, 8),
            (10, 9),
        ],
    },
    "ASN": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "ND2", "OD1"],
        "element": ["N", "C", "C", "C", "O", "C", "N", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (7, 5),
        ],
    },
    "ASP": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "OD1", "OD2"],
        "element": ["N", "C", "C", "C", "O", "C", "O", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (7, 5),
        ],
    },
    "CYS": {
        "name": ["N", "CA", "C", "CB", "O", "SG"],
        "element": ["N", "C", "C", "C", "O", "S"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
        ],
    },
    "GLN": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD", "NE2", "OE1"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "N", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 5),
            (6, 7),
            (6, 8),
            (7, 6),
            (8, 6),
        ],
    },
    "GLU": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD", "OE1", "OE2"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "O", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 5),
            (6, 7),
            (6, 8),
            (7, 6),
            (8, 6),
        ],
    },
    "GLY": {
        "name": ["N", "CA", "C", "O"],
        "element": ["N", "C", "C", "O"],
        "connectivity": [(0, 1), (1, 0), (1, 2), (2, 1), (2, 3), (3, 2)],
    },
    "HIS": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD2", "ND1", "CE1", "NE2"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "N", "C", "N"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 9),
            (7, 5),
            (7, 8),
            (8, 7),
            (8, 9),
            (9, 6),
            (9, 8),
        ],
    },
    "ILE": {
        "name": ["N", "CA", "C", "CB", "O", "CG1", "CG2", "CD1"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (3, 6),
            (4, 2),
            (5, 3),
            (5, 7),
            (6, 3),
            (7, 5),
        ],
    },
    "LEU": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD1", "CD2"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (7, 5),
        ],
    },
    "LYS": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD", "CE", "NZ"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "C", "N"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 5),
            (6, 7),
            (7, 6),
            (7, 8),
            (8, 7),
        ],
    },
    "MET": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "SD", "CE"],
        "element": ["N", "C", "C", "C", "O", "C", "S", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 5),
            (6, 7),
            (7, 6),
        ],
    },
    "PHE": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD1", "CD2", "CE1", "CE2", "CZ"],
        "element": ["N", "C", "C", "C", "O", "C", "C", "C", "C", "C", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 8),
            (7, 5),
            (7, 9),
            (8, 6),
            (8, 10),
            (9, 7),
            (9, 10),
            (10, 8),
            (10, 9),
        ],
    },
    "PRO": {
        "name": ["N", "CA", "C", "CB", "O", "CG", "CD"],
        "element": ["N", "C", "C", "C", "O", "C", "C"],
        "connectivity": [
            (0, 1),
            (0, 6),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (6, 0),
            (6, 5),
        ],
    },
    "SER": {
        "name": ["N", "CA", "C", "CB", "O", "OG"],
        "element": ["N", "C", "C", "C", "O", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
        ],
    },
    "THR": {
        "name": ["N", "CA", "C", "CB", "O", "CG2", "OG1"],
        "element": ["N", "C", "C", "C", "O", "C", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (3, 6),
            (4, 2),
            (5, 3),
            (6, 3),
        ],
    },
    "TRP": {
        "name": [
            "N",
            "CA",
            "C",
            "CB",
            "O",
            "CG",
            "CD1",
            "CD2",
            "CE2",
            "CE3",
            "NE1",
            "CH2",
            "CZ2",
            "CZ3",
        ],
        "element": [
            "N",
            "C",
            "C",
            "C",
            "O",
            "C",
            "C",
            "C",
            "C",
            "C",
            "N",
            "C",
            "C",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 10),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (8, 10),
            (8, 12),
            (9, 7),
            (9, 13),
            (10, 6),
            (10, 8),
            (11, 12),
            (11, 13),
            (12, 8),
            (12, 11),
            (13, 9),
            (13, 11),
        ],
    },
    "TYR": {
        "name": [
            "N",
            "CA",
            "C",
            "CB",
            "O",
            "CG",
            "CD1",
            "CD2",
            "CE1",
            "CE2",
            "OH",
            "CZ",
        ],
        "element": ["N", "C", "C", "C", "O", "C", "C", "C", "C", "C", "O", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (4, 2),
            (5, 3),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 8),
            (7, 5),
            (7, 9),
            (8, 6),
            (8, 11),
            (9, 7),
            (9, 11),
            (10, 11),
            (11, 8),
            (11, 9),
            (11, 10),
        ],
    },
    "VAL": {
        "name": ["N", "CA", "C", "CB", "O", "CG1", "CG2"],
        "element": ["N", "C", "C", "C", "O", "C", "C"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 3),
            (2, 1),
            (2, 4),
            (3, 1),
            (3, 5),
            (3, 6),
            (4, 2),
            (5, 3),
            (6, 3),
        ],
    },
    "DC": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "C1'",
            "N1",
            "C2",
            "O2",
            "N3",
            "C4",
            "N4",
            "C5",
            "C6",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "C",
            "N",
            "C",
            "O",
            "N",
            "C",
            "N",
            "C",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 10),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (10, 6),
            (10, 9),
            (10, 11),
            (11, 10),
            (11, 12),
            (11, 18),
            (12, 11),
            (12, 13),
            (12, 14),
            (13, 12),
            (14, 12),
            (14, 15),
            (15, 14),
            (15, 16),
            (15, 17),
            (16, 15),
            (17, 15),
            (17, 18),
            (18, 11),
            (18, 17),
        ],
    },
    "DG": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "C1'",
            "N9",
            "C8",
            "N7",
            "C5",
            "C6",
            "O6",
            "N1",
            "C2",
            "N2",
            "N3",
            "C4",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "C",
            "N",
            "C",
            "N",
            "C",
            "C",
            "O",
            "N",
            "C",
            "N",
            "N",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 10),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (10, 6),
            (10, 9),
            (10, 11),
            (11, 10),
            (11, 12),
            (11, 21),
            (12, 11),
            (12, 13),
            (13, 12),
            (13, 14),
            (14, 13),
            (14, 15),
            (14, 21),
            (15, 14),
            (15, 16),
            (15, 17),
            (16, 15),
            (17, 15),
            (17, 18),
            (18, 17),
            (18, 19),
            (18, 20),
            (19, 18),
            (20, 18),
            (20, 21),
            (21, 11),
            (21, 14),
            (21, 20),
        ],
    },
    "DA": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "C1'",
            "N9",
            "C8",
            "N7",
            "C5",
            "C6",
            "N6",
            "N1",
            "C2",
            "N3",
            "C4",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "C",
            "N",
            "C",
            "N",
            "C",
            "C",
            "N",
            "N",
            "C",
            "N",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 10),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (10, 6),
            (10, 9),
            (10, 11),
            (11, 10),
            (11, 12),
            (11, 20),
            (12, 11),
            (12, 13),
            (13, 12),
            (13, 14),
            (14, 13),
            (14, 15),
            (14, 20),
            (15, 14),
            (15, 16),
            (15, 17),
            (16, 15),
            (17, 15),
            (17, 18),
            (18, 17),
            (18, 19),
            (19, 18),
            (19, 20),
            (20, 11),
            (20, 14),
            (20, 19),
        ],
    },
    "DT": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "C1'",
            "N1",
            "C2",
            "O2",
            "N3",
            "C4",
            "O4",
            "C5",
            "C7",
            "C6",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "C",
            "N",
            "C",
            "O",
            "N",
            "C",
            "O",
            "C",
            "C",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 10),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (10, 6),
            (10, 9),
            (10, 11),
            (11, 10),
            (11, 12),
            (11, 19),
            (12, 11),
            (12, 13),
            (12, 14),
            (13, 12),
            (14, 12),
            (14, 15),
            (15, 14),
            (15, 16),
            (15, 17),
            (16, 15),
            (17, 15),
            (17, 18),
            (17, 19),
            (18, 17),
            (19, 11),
            (19, 17),
        ],
    },
    "G": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "O2'",
            "C1'",
            "N9",
            "C8",
            "N7",
            "C5",
            "C6",
            "O6",
            "N1",
            "C2",
            "N2",
            "N3",
            "C4",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "O",
            "C",
            "N",
            "C",
            "N",
            "C",
            "C",
            "O",
            "N",
            "C",
            "N",
            "N",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 11),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (9, 11),
            (10, 9),
            (11, 6),
            (11, 9),
            (11, 12),
            (12, 11),
            (12, 13),
            (12, 22),
            (13, 12),
            (13, 14),
            (14, 13),
            (14, 15),
            (15, 14),
            (15, 16),
            (15, 22),
            (16, 15),
            (16, 17),
            (16, 18),
            (17, 16),
            (18, 16),
            (18, 19),
            (19, 18),
            (19, 20),
            (19, 21),
            (20, 19),
            (21, 19),
            (21, 22),
            (22, 12),
            (22, 15),
            (22, 21),
        ],
    },
    "U": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "O2'",
            "C1'",
            "N1",
            "C2",
            "O2",
            "N3",
            "C4",
            "O4",
            "C5",
            "C6",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "O",
            "C",
            "N",
            "C",
            "O",
            "N",
            "C",
            "O",
            "C",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 11),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (9, 11),
            (10, 9),
            (11, 6),
            (11, 9),
            (11, 12),
            (12, 11),
            (12, 13),
            (12, 19),
            (13, 12),
            (13, 14),
            (13, 15),
            (14, 13),
            (15, 13),
            (15, 16),
            (16, 15),
            (16, 17),
            (16, 18),
            (17, 16),
            (18, 16),
            (18, 19),
            (19, 12),
            (19, 18),
        ],
    },
    "C": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "O2'",
            "C1'",
            "N1",
            "C2",
            "O2",
            "N3",
            "C4",
            "N4",
            "C5",
            "C6",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "O",
            "C",
            "N",
            "C",
            "O",
            "N",
            "C",
            "N",
            "C",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 11),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (9, 11),
            (10, 9),
            (11, 6),
            (11, 9),
            (11, 12),
            (12, 11),
            (12, 13),
            (12, 19),
            (13, 12),
            (13, 14),
            (13, 15),
            (14, 13),
            (15, 13),
            (15, 16),
            (16, 15),
            (16, 17),
            (16, 18),
            (17, 16),
            (18, 16),
            (18, 19),
            (19, 12),
            (19, 18),
        ],
    },
    "A": {
        "name": [
            "P",
            "OP1",
            "OP2",
            "O5'",
            "C5'",
            "C4'",
            "O4'",
            "C3'",
            "O3'",
            "C2'",
            "O2'",
            "C1'",
            "N9",
            "C8",
            "N7",
            "C5",
            "C6",
            "N6",
            "N1",
            "C2",
            "N3",
            "C4",
        ],
        "element": [
            "P",
            "O",
            "O",
            "O",
            "C",
            "C",
            "O",
            "C",
            "O",
            "C",
            "O",
            "C",
            "N",
            "C",
            "N",
            "C",
            "C",
            "N",
            "N",
            "C",
            "N",
            "C",
        ],
        "connectivity": [
            (0, 1),
            (0, 2),
            (0, 3),
            (1, 0),
            (2, 0),
            (3, 0),
            (3, 4),
            (4, 3),
            (4, 5),
            (5, 4),
            (5, 6),
            (5, 7),
            (6, 5),
            (6, 11),
            (7, 5),
            (7, 8),
            (7, 9),
            (8, 7),
            (9, 7),
            (9, 10),
            (9, 11),
            (10, 9),
            (11, 6),
            (11, 9),
            (11, 12),
            (12, 11),
            (12, 13),
            (12, 21),
            (13, 12),
            (13, 14),
            (14, 13),
            (14, 15),
            (15, 14),
            (15, 16),
            (15, 21),
            (16, 15),
            (16, 17),
            (16, 18),
            (17, 16),
            (18, 16),
            (18, 19),
            (19, 18),
            (19, 20),
            (20, 19),
            (20, 21),
            (21, 12),
            (21, 15),
            (21, 20),
        ],
    },
    "pT": {
        "name": ["N", "CA", "CB", "OG1", "P", "O1P", "O2P", "O3P", "CG2", "C", "O"],
        "element": ["N", "C", "C", "O", "P", "O", "O", "O", "C", "C", "O"],
        "connectivity": [
            (0, 1),
            (1, 0),
            (1, 2),
            (1, 9),
            (2, 1),
            (2, 3),
            (2, 8),
            (3, 2),
            (3, 4),
            (4, 3),
            (4, 5),
            (4, 6),
            (4, 7),
            (5, 4),
            (6, 4),
            (7, 4),
            (8, 2),
            (9, 1),
            (9, 10),
            (10, 9),
        ],
    },
}
